﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Pertamina.CORSEC._2019.EventService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", ConfigurationName="EventService.New_Port_0PortType")]
    public interface New_Port_0PortType {
        
        [System.ServiceModel.OperationContractAttribute(Action="urn:PTM:Integrasi:CorpSec:DataReq/New_GetList_Operation", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        Pertamina.CORSEC._2019.EventService.New_GetList_OperationResponse New_GetList_Operation(Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest request);
        
        // CODEGEN: Generating message contract since the operation has multiple return values.
        [System.ServiceModel.OperationContractAttribute(Action="urn:PTM:Integrasi:CorpSec:DataReq/New_GetList_Operation", ReplyAction="*")]
        System.Threading.Tasks.Task<Pertamina.CORSEC._2019.EventService.New_GetList_OperationResponse> New_GetList_OperationAsync(Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.4084.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
    public partial class AuthenticationInfo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string userNameField;
        
        private string passwordField;
        
        private string authenticationField;
        
        private string localeField;
        
        private string timeZoneField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string userName {
            get {
                return this.userNameField;
            }
            set {
                this.userNameField = value;
                this.RaisePropertyChanged("userName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("password");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string authentication {
            get {
                return this.authenticationField;
            }
            set {
                this.authenticationField = value;
                this.RaisePropertyChanged("authentication");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string locale {
            get {
                return this.localeField;
            }
            set {
                this.localeField = value;
                this.RaisePropertyChanged("locale");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string timeZone {
            get {
                return this.timeZoneField;
            }
            set {
                this.timeZoneField = value;
                this.RaisePropertyChanged("timeZone");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.4084.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
    public enum StatusType {
        
        /// <remarks/>
        Draft,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Cart")]
        InCart,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Review")]
        InReview,
        
        /// <remarks/>
        Submitted,
        
        /// <remarks/>
        Pending,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Waiting Approval")]
        WaitingApproval,
        
        /// <remarks/>
        Planning,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Progress")]
        InProgress,
        
        /// <remarks/>
        Completed,
        
        /// <remarks/>
        Rejected,
        
        /// <remarks/>
        Cancelled,
        
        /// <remarks/>
        Closed,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="New_GetList_Operation", WrapperNamespace="urn:PTM:Integrasi:CorpSec:DataReq", IsWrapped=true)]
    public partial class New_GetList_OperationRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
        public Pertamina.CORSEC._2019.EventService.AuthenticationInfo AuthenticationInfo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=0)]
        public string Qualification;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=1)]
        public string startRecord;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=2)]
        public string maxLimit;
        
        public New_GetList_OperationRequest() {
        }
        
        public New_GetList_OperationRequest(Pertamina.CORSEC._2019.EventService.AuthenticationInfo AuthenticationInfo, string Qualification, string startRecord, string maxLimit) {
            this.AuthenticationInfo = AuthenticationInfo;
            this.Qualification = Qualification;
            this.startRecord = startRecord;
            this.maxLimit = maxLimit;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="New_GetList_OperationResponse", WrapperNamespace="urn:PTM:Integrasi:CorpSec:DataReq", IsWrapped=true)]
    public partial class New_GetList_OperationResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=0)]
        public string NamaRequester;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=1)]
        public string NamaEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=2)]
        public string LinkEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=3)]
        public string DeskripsiEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=4)]
        public string KategoriEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=5)]
        public string LokasiEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=6)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime TanggalPelaksanaanDari;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=7)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime TanggalPelaksanaanSampai;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=8)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime WaktuPelaksanaanDari;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=9)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime WaktuPelaksanaanSampai;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=10)]
        public string KategoriPeserta;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=11)]
        public string KehadiranPejabat;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=12)]
        public string UndanganPejabat;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=13)]
        public string RequestNumber;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=14)]
        public Pertamina.CORSEC._2019.EventService.StatusType Status;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=15)]
        public string Fungsi;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=16)]
        public string Perusahaan;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=17)]
        public System.DateTime SubmitDate;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=18)]
        public string KelengkapanEvent;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", Order=19)]
        public string LinkBanner;
        
        public New_GetList_OperationResponse() {
        }
        
        public New_GetList_OperationResponse(
                    string NamaRequester, 
                    string NamaEvent, 
                    string LinkEvent, 
                    string DeskripsiEvent, 
                    string KategoriEvent, 
                    string LokasiEvent, 
                    System.DateTime TanggalPelaksanaanDari, 
                    System.DateTime TanggalPelaksanaanSampai, 
                    System.DateTime WaktuPelaksanaanDari, 
                    System.DateTime WaktuPelaksanaanSampai, 
                    string KategoriPeserta, 
                    string KehadiranPejabat, 
                    string UndanganPejabat, 
                    string RequestNumber, 
                    Pertamina.CORSEC._2019.EventService.StatusType Status, 
                    string Fungsi, 
                    string Perusahaan, 
                    System.DateTime SubmitDate, 
                    string KelengkapanEvent, 
                    string LinkBanner) {
            this.NamaRequester = NamaRequester;
            this.NamaEvent = NamaEvent;
            this.LinkEvent = LinkEvent;
            this.DeskripsiEvent = DeskripsiEvent;
            this.KategoriEvent = KategoriEvent;
            this.LokasiEvent = LokasiEvent;
            this.TanggalPelaksanaanDari = TanggalPelaksanaanDari;
            this.TanggalPelaksanaanSampai = TanggalPelaksanaanSampai;
            this.WaktuPelaksanaanDari = WaktuPelaksanaanDari;
            this.WaktuPelaksanaanSampai = WaktuPelaksanaanSampai;
            this.KategoriPeserta = KategoriPeserta;
            this.KehadiranPejabat = KehadiranPejabat;
            this.UndanganPejabat = UndanganPejabat;
            this.RequestNumber = RequestNumber;
            this.Status = Status;
            this.Fungsi = Fungsi;
            this.Perusahaan = Perusahaan;
            this.SubmitDate = SubmitDate;
            this.KelengkapanEvent = KelengkapanEvent;
            this.LinkBanner = LinkBanner;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface New_Port_0PortTypeChannel : Pertamina.CORSEC._2019.EventService.New_Port_0PortType, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class New_Port_0PortTypeClient : System.ServiceModel.ClientBase<Pertamina.CORSEC._2019.EventService.New_Port_0PortType>, Pertamina.CORSEC._2019.EventService.New_Port_0PortType {
        
        public New_Port_0PortTypeClient() {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public New_Port_0PortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Pertamina.CORSEC._2019.EventService.New_GetList_OperationResponse Pertamina.CORSEC._2019.EventService.New_Port_0PortType.New_GetList_Operation(Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest request) {
            return base.Channel.New_GetList_Operation(request);
        }
        
        public string New_GetList_Operation(
                    Pertamina.CORSEC._2019.EventService.AuthenticationInfo AuthenticationInfo, 
                    string Qualification, 
                    string startRecord, 
                    string maxLimit, 
                    out string NamaEvent, 
                    out string LinkEvent, 
                    out string DeskripsiEvent, 
                    out string KategoriEvent, 
                    out string LokasiEvent, 
                    out System.DateTime TanggalPelaksanaanDari, 
                    out System.DateTime TanggalPelaksanaanSampai, 
                    out System.DateTime WaktuPelaksanaanDari, 
                    out System.DateTime WaktuPelaksanaanSampai, 
                    out string KategoriPeserta, 
                    out string KehadiranPejabat, 
                    out string UndanganPejabat, 
                    out string RequestNumber, 
                    out Pertamina.CORSEC._2019.EventService.StatusType Status, 
                    out string Fungsi, 
                    out string Perusahaan, 
                    out System.DateTime SubmitDate, 
                    out string KelengkapanEvent, 
                    out string LinkBanner) {
            Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest inValue = new Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest();
            inValue.AuthenticationInfo = AuthenticationInfo;
            inValue.Qualification = Qualification;
            inValue.startRecord = startRecord;
            inValue.maxLimit = maxLimit;
            Pertamina.CORSEC._2019.EventService.New_GetList_OperationResponse retVal = ((Pertamina.CORSEC._2019.EventService.New_Port_0PortType)(this)).New_GetList_Operation(inValue);
            NamaEvent = retVal.NamaEvent;
            LinkEvent = retVal.LinkEvent;
            DeskripsiEvent = retVal.DeskripsiEvent;
            KategoriEvent = retVal.KategoriEvent;
            LokasiEvent = retVal.LokasiEvent;
            TanggalPelaksanaanDari = retVal.TanggalPelaksanaanDari;
            TanggalPelaksanaanSampai = retVal.TanggalPelaksanaanSampai;
            WaktuPelaksanaanDari = retVal.WaktuPelaksanaanDari;
            WaktuPelaksanaanSampai = retVal.WaktuPelaksanaanSampai;
            KategoriPeserta = retVal.KategoriPeserta;
            KehadiranPejabat = retVal.KehadiranPejabat;
            UndanganPejabat = retVal.UndanganPejabat;
            RequestNumber = retVal.RequestNumber;
            Status = retVal.Status;
            Fungsi = retVal.Fungsi;
            Perusahaan = retVal.Perusahaan;
            SubmitDate = retVal.SubmitDate;
            KelengkapanEvent = retVal.KelengkapanEvent;
            LinkBanner = retVal.LinkBanner;
            return retVal.NamaRequester;
        }
        
        public System.Threading.Tasks.Task<Pertamina.CORSEC._2019.EventService.New_GetList_OperationResponse> New_GetList_OperationAsync(Pertamina.CORSEC._2019.EventService.New_GetList_OperationRequest request) {
            return base.Channel.New_GetList_OperationAsync(request);
        }
    }
}
